Subject: :arrow_up::one::two: res_users_signature, res_users_signature (hr)
Author: fedoranvar
Committer: fedoranvar

Date Level Type Message
2019-08-19 08:49:42 INFO runbot init Init build environment
2019-08-19 08:49:42 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/server-tools is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/project is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for OCA/website is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout closest branch for codup/odoo-ru is refs/heads/12.0
2019-08-19 08:49:42 INFO runbot checkout modules to install: [u'base', u'res_users_signature', u'res_users_signature_hr']
2019-08-19 08:50:26 INFO runbot check_branch_name success
2019-08-19 08:50:30 INFO runbot test_base Test Updated and explicit modules
2019-08-19 08:50:30 INFO runbot _install_and_test DB: 03744-801-45431d-base, Modules: base, res_users_signature, res_users_signature_hr
2019-08-19 08:51:17 INFO runbot pylint_script Start pylint script
2019-08-19 08:51:17 INFO runbot pylint_script No config file detected
2019-08-19 08:51:32 INFO runbot test_all ============= Test all modules =============
2019-08-19 08:51:32 INFO runbot _install_and_test DB: 03744-801-45431d-all, Modules: base, autostaging_project_task, base_attendance, res_users_signature, web_sessions_management, project_tags, custom_menu_bar, project_task_order_kanban_state, base_import_map, res_partner_phone, web_debranding, invoice_sale_order_line_group, ir_attachment_force_storage, product_category_taxes, project_gantt8, reminder_crm_next_action, web_iframe_pages, autostaging_base, ir_attachment_url, web_calendar_repeat_form, thecage_data, base_session_store_psql, project_kanban_customer, customer_marketing, attachment_large_object, fleet_odometer_oil, auth_signup_confirmation, import_csv_fix_field_limit, project_task_auto_staging, crm_next_action, web_tour_extra, base_details, reminder_base, barcode_widget, ir_attachment_s3, product_details, project_task_subtask, project_description, reminder_task_deadline, hr_rule_input_compute, delivery_sequence, res_partner_country_code, web_calendar_quick_navigation, web_gantt8, reminder_crm_next_action_time, ir_actions_todo_repeat, res_users_signature_hr, reminder_issue_deadline, ir_config_parameter_multi_company, production_lot_details, web_multi_attachment_base, project_task_search_custom, reminder_hr_recruitment, web_iframe, project_timelog, delivery_special, web_website, web_preview, auth_signup_confirmation_crm, currency_rate_update, sale_order_hide_tax, pad_crm, res_partner_skype, hr_public_holidays_ics_import, product_tags, crm_expected_revenue, web_polymorphic_field, fleet_odometer_track_changes
2019-08-19 08:53:37 INFO runbot run Start running build 03744-801-45431d
2019-08-19 09:12:04 ERROR server odoo.sql_db:228 execute
bad query: b'UPDATE "ir_module_module" SET "category_id"=3,"write_uid"=1,"write_date"=(now() at time zone \'UTC\') WHERE id IN (485)'
ERROR: could not serialize access due to concurrent update
2019-08-19 09:12:07 ERROR server odoo.sql_db:228 execute
bad query: b"UPDATE ir_module_module SET state='uninstalled' WHERE state='to install'"
ERROR: could not serialize access due to concurrent update
2019-08-19 09:12:07 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 378, in load_modules
    Module.update_list()
  File "<decorator-gen-71>", line 2, in update_list
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/base/models/ir_module.py", line 732, in update_list
    mod._update_category(terp.get('category', 'Uncategorized'))
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/base/models/ir_module.py", line 869, in _update_category
    self.write({'category_id': cat_id})
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/models.py", line 3414, in _write
    cr.execute(query, params + [sub_ids])
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: could not serialize access due to concurrent update


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 88, in new
    odoo.modules.reset_modules_state(db_name)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 538, in reset_modules_state
    "UPDATE ir_module_module SET state='uninstalled' WHERE state='to install'"
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: could not serialize access due to concurrent update
2019-08-19 09:12:09 ERROR server odoo.sql_db:228 execute
bad query: b'UPDATE "ir_module_module" SET "sequence"=9000,"write_uid"=1,"write_date"=(now() at time zone \'UTC\') WHERE id IN (56)'
ERROR: could not serialize access due to concurrent update
2019-08-19 09:12:10 ERROR server odoo.sql_db:228 execute
bad query: b"UPDATE ir_module_module SET state='uninstalled' WHERE state='to install'"
ERROR: could not serialize access due to concurrent update
2019-08-19 09:12:10 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 378, in load_modules
    Module.update_list()
  File "<decorator-gen-71>", line 2, in update_list
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/base/models/ir_module.py", line 721, in update_list
    mod.write(updated_values)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/models.py", line 3414, in _write
    cr.execute(query, params + [sub_ids])
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: could not serialize access due to concurrent update


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 88, in new
    odoo.modules.reset_modules_state(db_name)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 538, in reset_modules_state
    "UPDATE ir_module_module SET state='uninstalled' WHERE state='to install'"
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: could not serialize access due to concurrent update
2019-08-19 09:12:14 ERROR server odoo.sql_db:228 execute
bad query: b'update ir_module_module set demo=true where id=107'
ERROR: deadlock detected
DETAIL:  Process 5411 waits for ShareLock on transaction 5937624; blocked by process 3824.
Process 3824 waits for AccessExclusiveLock on relation 12031796 of database 12031751; blocked by process 5411.
HINT:  See server log for query details.
CONTEXT:  while updating tuple (51,16) in relation "ir_module_module"
2019-08-19 09:12:21 ERROR server odoo.sql_db:228 execute
bad query: b'update ir_module_module set demo=true where id=96'
ERROR: deadlock detected
DETAIL:  Process 3824 waits for ShareLock on transaction 5937635; blocked by process 5411.
Process 5411 waits for ShareLock on transaction 5937624; blocked by process 3824.
HINT:  See server log for query details.
CONTEXT:  while updating tuple (50,4) in relation "ir_module_module"
2019-08-19 09:12:21 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-08-19 09:12:21 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 224, in load_module_graph
    cr.execute('update ir_module_module set demo=%s where id=%s', (demo_loaded, module_id))
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: deadlock detected
DETAIL:  Process 5411 waits for ShareLock on transaction 5937624; blocked by process 3824.
Process 3824 waits for AccessExclusiveLock on relation 12031796 of database 12031751; blocked by process 5411.
HINT:  See server log for query details.
CONTEXT:  while updating tuple (51,16) in relation "ir_module_module"
2019-08-19 09:12:21 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-08-19 09:12:21 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/modules/loading.py", line 224, in load_module_graph
    cr.execute('update ir_module_module set demo=%s where id=%s', (demo_loaded, module_id))
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 148, in wrapper
    return f(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/sql_db.py", line 225, in execute
    res = self._obj.execute(query, params)
psycopg2.extensions.TransactionRollbackError: deadlock detected
DETAIL:  Process 3824 waits for ShareLock on transaction 5937635; blocked by process 5411.
Process 5411 waits for ShareLock on transaction 5937624; blocked by process 3824.
HINT:  See server log for query details.
CONTEXT:  while updating tuple (50,4) in relation "ir_module_module"
2019-08-19 09:12:22 ERROR server odoo.sql_db:228 execute
bad query: b'SELECT * FROM ir_cron FOR UPDATE NOWAIT'
ERROR: could not obtain lock on row in relation "ir_cron"
2019-08-19 09:12:22 ERROR server odoo.sql_db:228 execute
bad query: b"SELECT value FROM ir_translation\n                       WHERE lang='en_US' AND type in ('code', 'sql_constraint') AND src='The server is busy right now, module operations are not possible at this time, please try again later.' AND md5(src)=md5('The server is busy right now, module operations are not possible at this time, please try again later.')"
ERROR: current transaction is aborted, commands ignored until end of transaction block
2019-08-19 09:12:22 ERROR server odoo.sql_db:228 execute
bad query: b'SELECT * FROM ir_cron FOR UPDATE NOWAIT'
ERROR: could not obtain lock on row in relation "ir_cron"
2019-08-19 09:12:22 ERROR server odoo.sql_db:228 execute
bad query: b"SELECT value FROM ir_translation\n                       WHERE lang='en_US' AND type in ('code', 'sql_constraint') AND src='The server is busy right now, module operations are not possible at this time, please try again later.' AND md5(src)=md5('The server is busy right now, module operations are not possible at this time, please try again later.')"
ERROR: current transaction is aborted, commands ignored until end of transaction block
2019-08-19 09:19:43 ERROR server odoo.http:660 _handle_exception
Exception during JSON request handling.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 656, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 698, in dispatch
    result = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 941, in __call__
    return self.method(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 519, in response_wrap
    response = f(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 962, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 954, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 749, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 736, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 79, in write
    r.action_update_signature()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 85, in action_update_signature
    r.action_update_signature_one()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 91, in action_update_signature_one
    self.user_ids.render_signature_id()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 36, in render_signature_id
    mako = mako_template_env.from_string(tools.ustr(self.signature_id.template))
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 880, in from_string
    return cls.from_code(self, self.compile(source), globals, None)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 591, in compile
    self.handle_exception(exc_info, source_hint=source_hint)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 780, in handle_exception
    reraise(exc_type, exc_value, tb)
  File "/usr/local/lib/python3.6/site-packages/jinja2/_compat.py", line 37, in reraise
    raise value.with_traceback(tb)
  File "<unknown>", line 3, in template
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 497, in _parse
    return Parser(self, source, name, encode_filename(filename)).parse()
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 901, in parse
    result = nodes.Template(self.subparse(), lineno=1)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 883, in subparse
    rv = self.parse_statement()
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 144, in parse_statement
    self.fail_unknown_tag(token.value, token.lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 97, in fail_unknown_tag
    return self._fail_ut_eof(name, self._end_token_stack, lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 90, in _fail_ut_eof
    self.fail(' '.join(message), lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 59, in fail
    raise exc(msg, lineno, self.name, self.filename)
jinja2.exceptions.TemplateSyntaxError: Encountered unknown tag 'endif'.
2019-08-19 09:19:53 ERROR server odoo.http:660 _handle_exception
Exception during JSON request handling.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 656, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 698, in dispatch
    result = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 941, in __call__
    return self.method(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 519, in response_wrap
    response = f(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 962, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 954, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 749, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 736, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 79, in write
    r.action_update_signature()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 85, in action_update_signature
    r.action_update_signature_one()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 91, in action_update_signature_one
    self.user_ids.render_signature_id()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 36, in render_signature_id
    mako = mako_template_env.from_string(tools.ustr(self.signature_id.template))
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 880, in from_string
    return cls.from_code(self, self.compile(source), globals, None)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 591, in compile
    self.handle_exception(exc_info, source_hint=source_hint)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 780, in handle_exception
    reraise(exc_type, exc_value, tb)
  File "/usr/local/lib/python3.6/site-packages/jinja2/_compat.py", line 37, in reraise
    raise value.with_traceback(tb)
  File "<unknown>", line 3, in template
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 497, in _parse
    return Parser(self, source, name, encode_filename(filename)).parse()
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 901, in parse
    result = nodes.Template(self.subparse(), lineno=1)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 883, in subparse
    rv = self.parse_statement()
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 144, in parse_statement
    self.fail_unknown_tag(token.value, token.lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 97, in fail_unknown_tag
    return self._fail_ut_eof(name, self._end_token_stack, lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 90, in _fail_ut_eof
    self.fail(' '.join(message), lineno)
  File "/usr/local/lib/python3.6/site-packages/jinja2/parser.py", line 59, in fail
    raise exc(msg, lineno, self.name, self.filename)
jinja2.exceptions.TemplateSyntaxError: Encountered unknown tag 'endif'.
2019-08-19 12:37:25 ERROR server odoo.http:660 _handle_exception
Exception during JSON request handling.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 656, in _handle_exception
    return super(JsonRequest, self)._handle_exception(exception)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 314, in _handle_exception
    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/tools/pycompat.py", line 87, in reraise
    raise value
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 698, in dispatch
    result = self._call_function(**self.params)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 346, in _call_function
    return checked_call(self.db, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/service/model.py", line 97, in wrapper
    return f(dbname, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 339, in checked_call
    result = self.endpoint(*a, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 941, in __call__
    return self.method(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/http.py", line 519, in response_wrap
    response = f(*args, **kw)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 962, in call_kw
    return self._call_kw(model, method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/web/controllers/main.py", line 954, in _call_kw
    return call_kw(request.env[model], method, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 749, in call_kw
    return _call_kw_multi(method, model, args, kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/api.py", line 736, in _call_kw_multi
    result = method(recs, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 79, in write
    r.action_update_signature()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 85, in action_update_signature
    r.action_update_signature_one()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 91, in action_update_signature_one
    self.user_ids.render_signature_id()
  File "/mnt/odoo-extra/runbot/static/build/03744-801-45431d/odoo/addons/res_users_signature/models/res_users_signature_models.py", line 37, in render_signature_id
    html = mako.render({'user': self})
  File "/usr/local/lib/python3.6/site-packages/jinja2/asyncsupport.py", line 76, in render
    return original_render(self, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 1008, in render
    return self.environment.handle_exception(exc_info, True)
  File "/usr/local/lib/python3.6/site-packages/jinja2/environment.py", line 780, in handle_exception
    reraise(exc_type, exc_value, tb)
  File "/usr/local/lib/python3.6/site-packages/jinja2/_compat.py", line 37, in reraise
    raise value.with_traceback(tb)
  File "<template>", line 13, in top-level template code
  File "/usr/local/lib/python3.6/site-packages/jinja2/sandbox.py", line 385, in getattr
    value = getattr(obj, attribute)
jinja2.exceptions.UndefinedError: 'odoo.api.res.users object' has no attribute 'company'
2019-08-19 13:08:16 INFO runbot kill Kill build 03744-801-45431d